Subject: Re: bug#58135: 29.0.50; Typing getting garbled in mail-mode

From: Robert Marshall <[email-masked]>
Date: Mon, 7 Nov 2022 18:27:36 +0000

Po Lu writes:
 > Eli Zaretskii <[email-masked]> writes:
 > 
 > >> Date: Mon, 7 Nov 2022 11:08:59 +0000
 > >> From: Robert Marshall <[email-masked]>
 > >> Cc: [email-masked],
 > >>     [email-masked]
 > >> 
 > >> 
 > >> Eli Zaretskii writes:
 > >>  > Is the wrong order real, or just on display?  IOW, what happens if you
 > >>  > save the buffer to a file -- do you see the wrong order in the file as
 > >>  > well?
 > >>  > 
 > >> 
 > >> I saved a buffer containing garbled "r dehsangul ce" - I typed "rules
 > >> changed" to a file and the contents of the file were as in the buffer
 > >> - so the wrong order was real rather than just being displayed.
 > >
 > > That would mean something really changes the input events that Emacs
 > > receives.  Does "C-h l" after this happens indeed shows the characters
 > > in the wrong order?

That's correct - view-lossage gives the garbled version

> 
 > And if it does, would you please try turning off input method support,
 > by running Emacs like so:
 > 
 >   emacs (other options here) -xrm 'Emacs.useXIM: off'
 > 
 > the extra layers of indirection involved in ferrying events to and fro
 > the input method may be causing this problem, and narrowing it down to
 > the input method would make it easier to debug.

Is that likely to cause the problem to disappear, the issue is only
seen c every 4-5 days so if I don't see it in say 2 weeks I should
report back to that effect?

Robert